commit:     dbd1785f2d4aecca22c5b9512e8f852021a67353
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 16 20:06:30 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Mar 16 20:06:43 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dbd1785f

dev-python/pyaes: Add missing test dependency

Closes: https://bugs.gentoo.org/651262
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-python/pyaes/pyaes-1.6.1-r2.ebuild | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/dev-python/pyaes/pyaes-1.6.1-r2.ebuild 
b/dev-python/pyaes/pyaes-1.6.1-r2.ebuild
new file mode 100644
index 00000000000..2c3a31013a3
--- /dev/null
+++ b/dev-python/pyaes/pyaes-1.6.1-r2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Pure-Python Implementation of the AES block-cipher and common 
modes of operation"
+HOMEPAGE="https://pypi.org/project/pyaes/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="test? ( dev-python/pycryptodome[${PYTHON_USEDEP}] )"
+
+python_test() {
+       local t fail=
+       for t in tests/test-*.py; do
+               einfo "${t}"
+               "${EPYTHON}" "${t}" || fail=1
+       done
+       [[ ${fail} ]] && die "Tests fail with ${EPYTHON}"
+}

Reply via email to